var senderId, gearsTimer;
// メッセージハンドラ
function messageHandler(message, sender, msgObj) {
	switch (msgObj.text) {
		case "init":
			senderId = msgObj.sender;
			initGlobalVars();
			gearsTimer = google.gears.factory.create(GEARS_TIMER, GEARS_TIMER_VERSION);
			// 3秒ごとにチェック
			gearsTimer.setInterval(ping, 3000);
			break;
		default:
			throw new Error("未知のメッセージを受信しました:" + msgObj.text);
	}
}
// ネットワークのチェックを行い、結果を親ワーカに送信する関数
function ping() {
	var workerPool = google.gears.workerPool;
	// HttpRequestクラスを生成して、ファイルのダウンロード
	var gearsRequest = google.gears.factory.create(
		GEARS_HTTPREQUEST, GEARS_HTTPREQUEST_VERSION);
	var req = new MyHttpRequest({
		method: "GET",
		url: "ping.jsp",
		requestObj: gearsRequest
	});
	req.send({
		success: function() {
			workerPool.sendMessage("connected", senderId);
		},
		error: function(status, statusText) {
			workerPool.sendMessage("disconnected", senderId);
		}
	});
}
google.gears.workerPool.onmessage = messageHandler;